local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____shouldFire = require("shouldFire")
local shouldFireKnife = ____shouldFire.shouldFireKnife
local ____CustomCallback = require("classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PreKnifeCollisionFilter = __TS__Class()
local PreKnifeCollisionFilter = ____exports.PreKnifeCollisionFilter
PreKnifeCollisionFilter.name = "PreKnifeCollisionFilter"
__TS__ClassExtends(PreKnifeCollisionFilter, CustomCallback)
function PreKnifeCollisionFilter.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFireKnife
    self.preKnifeCollision = function(____, knife, collider, low) return self:fire(knife, collider, low) end
    self.callbacksUsed = {{ModCallback.PRE_KNIFE_COLLISION, self.preKnifeCollision}}
end
return ____exports
